using System;
using System.IO;
using System.Windows.Forms;

namespace IRC
{
    class Lade_Einstellungen
    {
        #region Felder
        private string nickname = "Rocker";
        private string realname = "Rockshow Client - By Pat";
        private string server = "irc.phat-net.de";
        private string channel = "#Die-Rockshow";
        private int port = 6667;
        private bool fehler = false;
        #endregion

        #region Eigenschaften
        public string _nickname
        {
            get { return nickname; }
            set { this.nickname = value; }
        }
        public string _realname
        {
            get { return realname; }
            set { this.realname = value; }
        }
        public string _server
        {
            get { return server; }
            set { this.server = value; }
        }
        public string _channel
        {
            get { return channel; }
            set { this.channel = value; }
        }
        public int _port
        {
            get { return port; }
            set { this.port = value; }
        }
        public bool _fehler
        {
            get { return fehler; }
            set { this.fehler = value; }
        }
        #endregion

        public Lade_Einstellungen()
        {
        }

        public void Einlesen()
        {
            try
            {
                StreamReader sr = new StreamReader("Config.cfg");
                try
                {
                    string s = string.Empty;
                    string option = string.Empty;
                    for (int i = 0; i < 5; i++)
                    {
                        s = sr.ReadLine();
                        option = s[0].ToString();
                        if (option == ":")
                        {
                            int sLenght = s.Length - 5;
                            option = s.Remove(0, 1);
                            option = option.Remove(4, sLenght);

                            switch (option.ToString())
                            {
                                case "NICK":
                                    nickname = s.Remove(0, 6);
                                    break;
                                case "REAL":
                                    realname = s.Remove(0, 6);
                                    break;
                                case "SERV":
                                    server = s.Remove(0, 6);
                                    break;
                                case "PORT":
                                    port = Int32.Parse(s.Remove(0, 6));
                                    break;
                                case "CHAN":
                                    channel = s.Remove(0, 6);
                                    break;
                            }
                        }

                    }
                    sr.Close();
                }
                catch { this.fehler = true; }
                finally { sr.Close(); }
            }
            catch
            {
                this.fehler = true;
            }
        }
    }
}