using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace IRC
{
    public partial class FrmEinstellungen : Form
    {
        Lade_Einstellungen lade = new Lade_Einstellungen();

        private bool fehler = false;

        public bool _fehler
        {
            get { return fehler; }
            set { fehler = value; }
        }

        public FrmEinstellungen()
        {
            InitializeComponent();
        }

        private void FrmEinstellungen_Load(object sender, EventArgs e)
        {
            lade.Einlesen();
            if (lade._fehler == false)
            {
                txtNick.Text = lade._nickname.ToString();
                txtRealname.Text = lade._realname.ToString();

                txtChannel.Text = lade._channel.ToString();
                txtServer.Text = lade._server.ToString();
                txtPort.Text = lade._port.ToString();
            }
            else
            {
                txtNick.Text = "SPler";
                txtRealname.Text = "IRC Client - by Immnn";

                txtChannel.Text = "#spiele";
                txtServer.Text = "irc.phat-net.de";
                txtPort.Text = "6667";
            }
        }

        private void btnVerwerfe_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnSpeicher_Click(object sender, EventArgs e)
        {
            StreamWriter sw = new StreamWriter("Config.cfg", false);
            sw.WriteLine(":NICK " + txtNick.Text.ToString());
            sw.WriteLine(":REAL " + txtRealname.Text.ToString());
            sw.WriteLine(":SERV " + txtServer.Text.ToString());
            sw.WriteLine(":CHAN " + txtChannel.Text.ToString());
            sw.Write(":PORT " + txtPort.Text.ToString());
            sw.Close();
            fehler = false;
            
            this.Close();
        }
    }
}